Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Valued Contributor III
4,553 Views

[Q] Is there any problem with Ubuntu 17.x.x for Quartus II?

Hello, 

 

I installed the free edition of Quartus on Ubuntu. But, I can't start it. The error looks like: 

 

$./quartus $quartus: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory  

 

I found a topic on the web also,  

 

https://askubuntu.com/questions/895897/error-while-loading-shared-libraries-libpng12-so-0 

 

Thanks.
0 Kudos
5 Replies
Highlighted
Valued Contributor III
526 Views

Ubuntu is not supported by Intel/Altera, having said that I have it running on a 16 version. I have no idea about 17, from your link it looks like it is not possible to have the libpng12, but others might be able to tell you if it is possible and how to do that.

0 Kudos
Valued Contributor III
526 Views

 

--- Quote Start ---  

Hello, 

 

I installed the free edition of Quartus on Ubuntu. But, I can't start it. The error looks like: 

 

$./quartus $quartus: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory  

 

I found a topic on the web also,  

 

https://askubuntu.com/questions/895897/error-while-loading-shared-libraries-libpng12-so-0 

 

Thanks. 

--- Quote End ---  

 

After installing libpng12 (from https://packages.ubuntu.com/xenial/amd64/libpng12-0/download) I was able to run Quartus 17.0 on ubuntu 17.04.
0 Kudos
Highlighted
Beginner
526 Views

Debian user here. Close to Ubuntu so hopefully this will work for you.

 

I'm sure you've long since found an answer but one solution is to build libpng12 from source and install. On libpng's webpage you can find a link to the source. Look for the tarball of libpng12 (i used libpng-1.2.59.tar.gz), extract and in the directory you extracted to run...

./configure make sudo make install

Then finally to update the links to the new shared libraries.

sudo ldconfig

I didn't get any conflicts from having different versions of libpng installed but if you do you may need to remove your current version before installing.

 

Links

http://www.libpng.org/pub/png/libpng.html

https://sourceforge.net/projects/libpng/files/libpng12/1.2.59/

Highlighted
New Contributor I
526 Views

Hi,

 

Just wanted to say thanks, I had Quartus running on Ubuntu 16.04, then upgraded to 18.04, which broke it with the exact same error mentionned by OP, and your recommandation fixed the problem.

0 Kudos
Highlighted
Beginner
526 Views

I have Quartus 13.1 installed on Ubuntu 18.04 and I am getting the libpng missing library error. I installed the available deb package and also recompiled it from source and installed manually, but no luck in getting Quartus to launch.

This is what my ldconfig looks like

$ ldconfig -p | grep libpng libpng16.so.16 (libc6,x86-64) => /usr/local/lib/libpng16.so.16 libpng16.so.16 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libpng16.so.16 libpng16.so (libc6,x86-64) => /usr/local/lib/libpng16.so libpng12.so.0 (libc6,x86-64) => /usr/local/lib/libpng12.so.0 libpng12.so.0 (libc6,x86-64) => /lib/x86_64-linux-gnu/libpng12.so.0 libpng12.so.0 (libc6,x86-64) => /usr/lib/x86_64-linux-gnu/libpng12.so.0 libpng12.so (libc6,x86-64) => /usr/local/lib/libpng12.so libpng.so.3 (libc6,x86-64) => /usr/local/lib/libpng.so.3

 

0 Kudos